/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */


using Xunit;

using System;
using System.Linq;
using System.IO;
using System.Collections.Generic;
using Coscine.ApiClient.Core.Model;
using Coscine.ApiClient.Core.Client;
using System.Reflection;
using Newtonsoft.Json;

namespace Coscine.ApiClient.Core.Test.Model
{
    /// <summary>
    ///  Class for testing PidDto
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the model.
    /// </remarks>
    public class PidDtoTests : IDisposable
    {
        // TODO uncomment below to declare an instance variable for PidDto
        //private PidDto instance;

        public PidDtoTests()
        {
            // TODO uncomment below to create an instance of PidDto
            //instance = new PidDto();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of PidDto
        /// </summary>
        [Fact]
        public void PidDtoInstanceTest()
        {
            // TODO uncomment below to test "IsType" PidDto
            //Assert.IsType<PidDto>(instance);
        }

        /// <summary>
        /// Test the property 'Prefix'
        /// </summary>
        [Fact]
        public void PrefixTest()
        {
            // TODO unit test for the property 'Prefix'
        }

        /// <summary>
        /// Test the property 'Suffix'
        /// </summary>
        [Fact]
        public void SuffixTest()
        {
            // TODO unit test for the property 'Suffix'
        }

        /// <summary>
        /// Test the property 'Identifier'
        /// </summary>
        [Fact]
        public void IdentifierTest()
        {
            // TODO unit test for the property 'Identifier'
        }

        /// <summary>
        /// Test the property 'Type'
        /// </summary>
        [Fact]
        public void TypeTest()
        {
            // TODO unit test for the property 'Type'
        }

        /// <summary>
        /// Test the property 'IsEntityValid'
        /// </summary>
        [Fact]
        public void IsEntityValidTest()
        {
            // TODO unit test for the property 'IsEntityValid'
        }
    }
}
